## org.eclipse.datatools.connectivity.ui.actions
Class RefreshViewAction

    java.lang.Object
      Action
          org.eclipse.datatools.connectivity.ui.actions.RefreshViewAction

    public class RefreshViewAction

extends Action

Author:
  shongxum, brianf

Constructor Summary
`RefreshViewAction(StructuredViewer viewer)` Constructor

Method Summary
`void` `run()`
`void` `run(IAction action)`
`void` `selectionChanged(IAction action, ISelection selection)`
`void` `setActivePart(IAction action, IWorkbenchPart targetPart)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RefreshViewAction

    public RefreshViewAction(StructuredViewer viewer)

  Constructor

  Parameters:
    `viewer` -

Method Detail

### run

    public void run()

  See Also:
    `org.eclipse.ui.IActionDelegate#run(org.eclipse.jface.action.IAction)`

### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)

### setActivePart

    public void setActivePart(IAction action,
                              IWorkbenchPart targetPart)

### run

    public void run(IAction action)

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.